summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMamoru Komachi <usata@gentoo.org>2005-03-30 17:00:35 +0000
committerMamoru Komachi <usata@gentoo.org>2005-03-30 17:00:35 +0000
commite1599f1716f3f54fb93638823b0ae9fb9ef643ed (patch)
tree82d211255a4474fdb695608fde3792ebbc868796 /eclass
parentStable on ppc. (diff)
downloadgentoo-2-e1599f1716f3f54fb93638823b0ae9fb9ef643ed.tar.gz
gentoo-2-e1599f1716f3f54fb93638823b0ae9fb9ef643ed.tar.bz2
gentoo-2-e1599f1716f3f54fb93638823b0ae9fb9ef643ed.zip
* Added libtoolize --copy --force.
* Set --localstatedir=/var, since iiim tries to create socket dir in $(localstatedir)/run/iiim.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/iiimf.eclass6
1 files changed, 4 insertions, 2 deletions
diff --git a/eclass/iiimf.eclass b/eclass/iiimf.eclass
index efddbbdcbcbe..9347aa5b8bf1 100644
--- a/eclass/iiimf.eclass
+++ b/eclass/iiimf.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/iiimf.eclass,v 1.9 2004/09/15 09:01:14 usata Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/iiimf.eclass,v 1.10 2005/03/30 17:00:35 usata Exp $
#
# Author: Mamoru KOMACHI <usata@gentoo.org>
#
@@ -35,11 +35,13 @@ S="${WORKDIR}/${IMSDK}/${PN}"
iiimf_src_compile() {
if [ "${PV:0:2}" -eq 12 ] ; then
+ libtoolize --copy --force
./autogen.sh
fi
econf --enable-optimize \
- `use_enable debug` || die
+ --localstatedir=/var \
+ $(use_enable debug) || die
# emake doesn't work on some libraries
emake -j1 || die
}